Message 1 of 3

Not applicable
03-05-2017
06:02 AM
- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
In the Fusion 360 API documentation for addCoincident (here), the call is described as:
returnValue = geometricConstraints_var.addCoincident(point, entity)
point SketchPoint The SketchPoint that will be made coincident. entity SketchEntity The SketchPoint or sketch curve that the point will be made coincident to.
This is not my experience from testing this. If I try:
pt1 = mysketch.sketchPoints.add(adsk.core.Point3D.create(1, 1, 0)) pt2 = mysketch.sketchPoints.add(adsk.core.Point3D.create(2, 2, 0)) mysketch.geometricConstraints.addCoincident(pt1, pt2)
Then point 2 is moved to be coincident with point1 and the result is a point at (1,1,0). This is consistent with the UI where the selection order is important: The first entity remains in place and the second moves to satisfy the constraint.
Edit: Of course, if you are trying to make a line endpoint end coincident with a circle, then you have to put the Point first anyway. I suppose it should be noted that the effect of creating a coincident may not be what you always expect!
Thanks, Conor.
Solved! Go to Solution.